---
title: "L'intégration"
source: /fr/gcxone/api/integration
locale: fr
updated: 2026-09-04
---
Opérations sur les ressources d'intégration. 6 points de terminaison, chacun relatif à `https://api.nxgen.cloud/api/v1` et authentifié comme décrit sous [Authentification](/gcxone/api/authentication).

## POST /integration

Ajouter une nouvelle intégration à un niveau hiérarchique spécifique

### Corps de la Demande

Ajouter une intégration

```json
{
  "name": "string (required)",
  "isActive": "boolean",
  "type": "string",
  "description": "string",
  "internalProxy": "string",
  "externalProxy": "string",
  "vpnProxy": "string",
  "protocolType": "string",
  "userName": "string",
  "password": "string",
  "accessToken": "string",
  "externalEndpoint": "string",
  "accessLevel": "string (required)",
  "entityId": "string (required)",
  "integrationInput": "object",
  "integrationOutput": "object"
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

Exemple `200` réponse :

```json
{
  "result": true
}
```

## POST /integration/filter

Obtenir la liste des intégrations avec filtrage, tri et pagination. Permet la recherche par niveau hiérarchique. Peut être filtré en utilisant la hiérarchie spécifiée ou utilise la hiérarchie de l'utilisateur connecté. Offre la possibilité d'obtenir des champs d'entité supplémentaires dans la réponse. Fournit également les métadonnées de configuration de l'entité.

### Corps de la Demande

Filtrage et tri de l'intégration

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Success | object |
| 204 | No Content |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

Exemple `200` réponse :

```json
{
  "dataResult": [
    {
      "uniqueId": "644745a2be7af43fac26788f",
      "accessLevel": "serviceprovider",
      "isActive": true,
      "name": "Webhook For DEV",
      "description": "desc"
    },
    {
      "uniqueId": "6447481dbe7af43fac267891",
      "accessLevel": "serviceprovider",
      "isActive": true,
      "name": "DC09 For DEV"
    },
    {
      "uniqueId": "644748ecbe7af43fac267892",
      "accessLevel": "serviceprovider",
      "isActive": true,
      "name": "External Integration Test"
    }
  ],
  "totalRecordsCount": 3
}
```

## GET /integration?id={id}&isTemplates={isTemplates}

Obtenir l'intégration par Id

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | requête | chaîne | non |  |
| isTemplates | requête | chaîne | non |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

Exemple `200` réponse :

```json
{
  "data": {
    "_id": "62ea2a8328c7c9",
    "uniqueId": "afd49a39338dc",
    "accessLevel": "site",
    "createdBy": "developer-1@dev.de",
    "createdOn": 1659513475763,
    "modifiedBy": "developer-1@dev.de",
    "modifiedOn": 1659514047995,
    "name": "External Integration",
    "description": "desc",
    "internalProxy": "",
    "externalProxy": "",
    "vpnProxy": "",
    "protocolType": "",
    "userName": "",
    "password": "",
    "accessToken": "",
    "externalEndpoint": "",
    "parentAccountId": "23424-324-3424",
    "integrationInput": {},
    "integrationOutput": {},
    "serviceProviderId": "",
    "customerId": "",
    "siteId": ""
  }
}
```

## PUT /integration?id={id}&isTemplates={isTemplates}

Mettre à jour une intégration existante

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | path | chaîne | oui |  |

### Corps de la demande

Pour mettre à jour l'intégration, fournir l'Id existant

```json
{
  "name": "string",
  "isActive": "boolean",
  "type": "string",
  "description": "string",
  "internalProxy": "string",
  "externalProxy": "string",
  "vpnProxy": "string",
  "protocolType": "string",
  "userName": "string",
  "password": "string",
  "accessToken": "string",
  "externalEndpoint": "string",
  "integrationInput": "object",
  "integrationOutput": "object"
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

Exemple `200` réponse:

```json
{
  "isSuccess": true
}
```

## PATCH /integration?id={id}&isTemplates={isTemplates}

Patch pour mettre à jour l'intégration

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | chemin | chaîne | oui |  |

### Corps de la Demande

Pour mettre à jour l'intégration

```json
{
  "isActive": "boolean"
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

Exemple `200` réponse :

```json
{
  "isSuccess": true
}
```

## DELETE /integration?id={id}&isTemplates={isTemplates}

Supprimer l'intégration par Id

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | path | chaîne | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

Exemple `200` réponse :

```json
{
  "isSuccess": true
}
```